## piglit 0~git20150829-59d7066

=== debian/changelog ===
piglit (0~git20150829-59d7066-1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python-mako. (Closes: #830145)

 -- Adrian Bunk <bunk@debian.org>  Tue, 27 Feb 2018 22:25:56 +0200

piglit (0~git20150829-59d7066-1) unstable; urgency=low

  * Update piglit version
  * Update standards version to 3.9.6
  * Add python-six as a dependency
  * Add debian copyright entries
  * Add libgbm-dev build dependency
  * Add new debian packaging, closes: #761015

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 29 Aug 2015 12:55:28 -0700

piglit (0~git20140926-4efb025-1) unstable; urgency=low

  * Add new debian packaging, closes: #761015

 -- Jordan Justen <jordan.l.justen@intel.com>  Sat, 27 Sep 2014 07:52:33 -0700
