=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               dh-python,
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxcb1-dev,
               libwaffle-dev (>= 1.3),
               pkg-config,
               python (>= 2.7),
               python-mako,
               python-numpy,
               python-six
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: http://piglit.freedesktop.org/
Vcs-Git: git://anongit.freedesktop.org/piglit
Vcs-Browser: http://cgit.freedesktop.org/piglit/

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends},
         ${python:Depends}, python-six, python-mako
Description: Open-source test suite for OpenGL implementations
 Piglit is an open-source test suite for OpenGL implementations.
