## piglit 0~git20170210

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,10 +18,8 @@
 project (piglit)
 
 # Require MSVC 2013 U4
-if (MSVC)
-	if (${CMAKE_C_COMPILER_VERSION} VERSION_LESS 18.00.31101.0)
-		message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
-	endif ()
+if (MSVC AND CMAKE_C_COMPILER_VERSION VERSION_LESS 18.00.31101.0)
+	message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
 endif ()
 
 find_package(Threads)
@@ -143,16 +141,28 @@
 	if(GBM_FOUND)
 		set(PIGLIT_HAS_GBM True)
 		add_definitions(-DPIGLIT_HAS_GBM)
+		if (GBM_VERSION VERSION_EQUAL "12.1" OR GBM_VERSION VERSION_GREATER "12.1")
+			set(PIGLIT_HAS_GBM_BO_MAP True)
+			add_definitions(-DPIGLIT_HAS_GBM_BO_MAP)
+		endif()
 	endif(GBM_FOUND)
 
 	pkg_check_modules(WAYLAND QUIET wayland-client wayland-egl)
 	if (WAYLAND_FOUND)
 		set(PIGLIT_HAS_WAYLAND True)
 		add_definitions(-DPIGLIT_HAS_WAYLAND)
+
+		FIND_LIBRARY(HAVE_XKBCOMMON NAMES xkbcommon)
+		if(NOT HAVE_XKBCOMMON)
+			message(FATAL_ERROR "Wayland support requires xkbcommon. "
+				"Failed to find xkbcommon library.")
+		endif()
+		pkg_check_modules(XKBCOMMON QUIET xkbcommon)
 	endif()
 
 	pkg_check_modules(LIBDRM QUIET libdrm)
 	pkg_check_modules(LIBDRM_INTEL QUIET libdrm_intel)
+	pkg_check_modules(XCB QUIET xcb)
 	pkg_check_modules(XCB_DRI2 QUIET xcb-dri2)
 	pkg_check_modules(GLPROTO QUIET glproto)
 ELSEIF(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
@@ -179,7 +189,8 @@
 # drm-prime arrived in that version.
 #
 if(LIBDRM_FOUND AND XCB_DRI2_FOUND AND
-   (LIBDRM_INTEL_VERSION VERSION_GREATER "2.4.37"))
+   ((LIBDRM_INTEL_VERSION VERSION_GREATER "2.4.37") OR
+     PIGLIT_HAS_GBM_BO_MAP))
 	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID true)
 else()
 	set(PIGLIT_BUILD_DMA_BUF_TESTS_IS_VALID false)
@@ -203,10 +214,22 @@
 	pkg_check_modules(GLPROTO REQUIRED glproto)
 ENDIF()
 
-find_package(PythonInterp 2.7 REQUIRED)
-find_package(PythonNumpy 1.6.2 REQUIRED)
-find_package(PythonMako 0.8.0 REQUIRED)
-find_package(PythonSix 1.4.0 REQUIRED)
+set(Python_ADDITIONAL_VERSIONS
+    3.6 3.5 3.4 3.3 2.7)
+find_package(PythonInterp REQUIRED)
+find_package(PythonSix 1.5.2 REQUIRED)
+find_package(PythonNumpy 1.7.0 REQUIRED)
+
+# CMake doesn't have a VERSION_GREATER_EQUAL function, at least as of 3.0,
+# And mako 1.0.2 contains bug fixes required for python 3.5 to work, so
+# the only solution (short of having a series of "OR" statements, is this)
+if (PYTHON_VERSION_STRING VERSION_GREATER 3.4.999999)
+	find_package(PythonMako 1.0.2 REQUIRED)
+else ()
+	find_package(PythonMako 0.8.0 REQUIRED)
+endif (PYTHON_VERSION_STRING VERSION_GREATER 3.4.999999)
+
+find_package(bash-completion NO_MODULE)
 
 # Default to compiling with debug information (`gcc -g`):
 if(NOT CMAKE_BUILD_TYPE)
@@ -224,6 +247,12 @@
 		SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 	ENDIF (CXX_COMPILER_FLAG_WALL)
 
+	# Target C99.  GCC's default is gnu11 for 5.0 and newer, gnu89 for
+	# older versions.
+	check_c_compiler_flag ("-std=gnu99" C_COMPILER_FLAG_STD_GNU99)
+	if (C_COMPILER_FLAG_STD_GNU99)
+		set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
+	endif ()
 	# MSVC does not support C99 variable length arrays
 	CHECK_C_COMPILER_FLAG("-Werror=vla" C_COMPILER_FLAG_WEVLA)
 	IF (C_COMPILER_FLAG_WEVLA)
@@ -308,48 +337,3 @@
 	# Define M_PI and others
 	add_definitions (-D_USE_MATH_DEFINES)
 endif (WIN32)
-
-if (APPLE)
-	# Don't warn about using deprecated OpenGL/GLU/GLUT functions.
-	# TODO: It would be nice to silence just the deprecation macros from
-	# OpenGLAvailability.h as opposed to all deprecated functions.
-	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-deprecated-declarations")
-	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
-endif ()
-
-if (OPENGL_FOUND)
-	if (APPLE)
-		find_path(GLEXT_INCLUDE_DIR
-			NAMES OpenGL/glext.h
-			PATHS ${OPENGL_INCLUDE_DIR}
-			DOC "Include for OpenGL/glext.h on OSX"
-		)
-	else (APPLE)
-		find_path(GLEXT_INCLUDE_DIR
-			NAMES GL/glext.h
-			PATHS ${OPENGL_INCLUDE_DIR}
-			DOC "Include for GL/glext.h"
-		)
-	endif (APPLE)
-endif()
-
-if(CMAKE_USE_PTHREADS_INIT)
-	set(PIGLIT_HAS_PTHREADS true)
-	add_definitions(-DPIGLIT_HAS_PTHREADS)
-endif()
-
-FIND_LIBRARY(HAVE_LIBRT NAMES rt)
-if(HAVE_LIBRT)
-	set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} rt)
-endif()
-
-check_c_source_compiles(
-	"
-	#define _POSIX_C_SOURCE 199309L
-	#include <time.h>
-	int main() { return clock_gettime(CLOCK_MONOTONIC, NULL); }
-	"
-	PIGLIT_HAS_POSIX_CLOCK_MONOTONIC
-)
-
-if(PIGLIT_HAS_PTHREADS AND PIGLIT_HAS_POSIX_CLOCK_MONOTONIC)
