=== spec/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 add_subdirectory (amd_performance_monitor)
 add_subdirectory (amd_pinned_memory)
+add_subdirectory (arb_arrays_of_arrays)
 add_subdirectory (arb_base_instance)
 add_subdirectory (arb_buffer_storage)
 add_subdirectory (arb_clear_buffer_object)
@@ -8,14 +9,18 @@
 add_subdirectory (arb_color_buffer_float)
 add_subdirectory (arb_copy_image)
 add_subdirectory (arb_compute_shader)
+add_subdirectory (arb_compute_variable_group_size)
 add_subdirectory (arb_cull_distance)
 add_subdirectory (arb_debug_output)
 add_subdirectory (khr_debug)
+add_subdirectory (khr_texture_compression_astc)
+add_subdirectory (oes_texture_compression_astc)
 add_subdirectory (arb_depth_clamp)
 add_subdirectory (arb_draw_indirect)
 add_subdirectory (arb_draw_instanced)
 add_subdirectory (arb_es2_compatibility)
 add_subdirectory (arb_es3_compatibility)
+add_subdirectory (arb_enhanced_layouts)
 add_subdirectory (arb_explicit_attrib_location)
 add_subdirectory (arb_explicit_uniform_location)
 add_subdirectory (arb_framebuffer_no_attachments)
@@ -28,6 +33,8 @@
 add_subdirectory (arb_gpu_shader_fp64)
 add_subdirectory (arb_instanced_arrays)
 add_subdirectory (arb_internalformat_query)
+add_subdirectory (arb_internalformat_query2)
+add_subdirectory (arb_invalidate_subdata)
 add_subdirectory (arb_map_buffer_alignment)
 add_subdirectory (arb_map_buffer_range)
 add_subdirectory (arb_multisample)
@@ -75,10 +82,12 @@
 add_subdirectory (ext_framebuffer_multisample_blit_scaled)
 add_subdirectory (ext_packed_depth_stencil)
 add_subdirectory (ext_packed_float)
+add_subdirectory (ext_shader_samples_identical)
 add_subdirectory (ext_texture_swizzle)
 add_subdirectory (ext_timer_query)
 add_subdirectory (ext_transform_feedback)
 add_subdirectory (nv_conditional_render)
+add_subdirectory (nv_image_formats)
 add_subdirectory (nv_texture_barrier)
 add_subdirectory (oes_compressed_etc1_rgb8_texture)
 add_subdirectory (oes_compressed_paletted_texture)
@@ -97,6 +106,9 @@
 add_subdirectory (glsl-1.50)
 add_subdirectory (glsl-es-3.00)
 add_subdirectory (gl-1.0)
+add_subdirectory (gl-1.1)
+add_subdirectory (gl-1.2)
+add_subdirectory (gl-1.3)
 add_subdirectory (gl-1.4)
 add_subdirectory (gl-1.5)
 add_subdirectory (gl-2.0)
@@ -106,6 +118,7 @@
 add_subdirectory (gl-3.2)
 add_subdirectory (gl-3.3)
 add_subdirectory (gl-4.4)
+add_subdirectory (gl-4.5)
 add_subdirectory (gles-2.0)
 add_subdirectory (gles-3.0)
 add_subdirectory (glx_arb_create_context)
@@ -117,6 +130,7 @@
 add_subdirectory (ext_texture_array)
 add_subdirectory (ext_texture_integer)
 add_subdirectory (arb_draw_buffers)
+add_subdirectory (arb_draw_buffers_blend)
 add_subdirectory (oes_draw_texture)
 add_subdirectory (oes_fixed_point)
 add_subdirectory (ext_image_dma_buf_import)
@@ -132,3 +146,12 @@
 add_subdirectory (arb_vertex_attrib_64bit)
 add_subdirectory (ext_framebuffer_blit)
 add_subdirectory (mesa_pack_invert)
+add_subdirectory (ext_texture_format_bgra8888)
+add_subdirectory (oes_draw_elements_base_vertex)
+add_subdirectory (arb_shader_draw_parameters)
+add_subdirectory (arb_indirect_parameters)
+add_subdirectory (arb_query_buffer_object)
+add_subdirectory (ext_window_rectangles)
+add_subdirectory (arb_shader_texture_image_samples)
+add_subdirectory (arb_texture_barrier)
+add_subdirectory (intel_conservative_rasterization)
