=== util/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,15 @@
 	PROPERTIES GENERATED 1
 	)
 
+link_libraries(${CMAKE_DL_LIBS})
+
 if(HAVE_LIBCACA)
     link_libraries(caca)
+endif()
+
+if(HAVE_XKBCOMMON)
+	link_libraries(${XKBCOMMON_LIBRARIES})
+	include_directories(${XKBCOMMON_INCLUDE_DIRS})
 endif()
 
 if(PNG_FOUND)
@@ -79,6 +86,9 @@
 		list(APPEND UTIL_GL_SOURCES
 			piglit-framework-gl/piglit_gbm_framework.c
 		)
+		list(APPEND UTIL_GL_LIBS
+			${GBM_LDFLAGS}
+		)
 	endif()
 	if(PIGLIT_HAS_WAYLAND)
 		list(APPEND UTIL_GL_SOURCES
@@ -121,11 +131,13 @@
 
 		list(APPEND UTIL_GL_LIBS
 			${LIBDRM_LDFLAGS}
+			${XCB_LDFLAGS}
 			${XCB_DRI2_LDFLAGS}
 		)
 
 		list(APPEND UTIL_GL_INCLUDES
 			${LIBDRM_INCLUDE_DIRS}
+			${XCB_INCLUDE_DIRS}
 			${XCB_DRI2_INCLUDE_DIRS}
 		)
 
@@ -141,6 +153,11 @@
 	if(PIGLIT_HAS_X11)
 		list(APPEND UTIL_GL_LIBS ${X11_X11_LIB})
 	endif()
+
+        if(PIGLIT_HAS_WAYLAND)
+		list(APPEND UTIL_GL_LIBS ${WAYLAND_LIBRARIES})
+        endif()
+
 endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 piglit_include_target_api()
