=== spec/arb_blend_func_extended/CMakeLists.txt ===
add_subdirectory (api)
add_subdirectory (execution)
piglit_include_target_api()
