=== spec/glsl-1.10/execution/CMakeLists.txt ===
piglit_include_target_api()
add_subdirectory (clipping)
add_subdirectory (varying-packing)
