## piglit 0~git20170210-508210dc1

=== debian/changelog ===
piglit (0~git20170210-508210dc1-1) unstable; urgency=low

  * Update piglit upstream version to 508210dc1
  * Use Python 3
  * Update standards version to 3.9.8

 -- Jordan Justen <jordan.l.justen@intel.com>  Fri, 10 Feb 2017 13:51:50 -0800

piglit (0~git20150829-59d7066-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build OpenCL tests (Closes: #845549)
  * Build in parallel (Closes: #846403)

 -- Simon Richter <sjr@debian.org>  Thu, 26 Jan 2017 18:34:58 +0100
