=== debian/control ===
Source: piglit
Priority: optional
Section: devel
Maintainer: Jordan Justen <jordan.l.justen@intel.com>
Build-Depends: binutils (>> 2.18),
               cmake,
               debhelper (>= 9),
               libegl1-mesa-dev | libegl-dev,
               libgbm-dev,
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               ocl-icd-opencl-dev | opencl-dev,
               libwaffle-dev (>= 1.3),
               pkg-config,
               python3,
               python3-mako,
               python3-numpy,
               python3-six
Standards-Version: 3.9.8
Homepage: http://piglit.freedesktop.org/
Vcs-Git: git://anongit.freedesktop.org/piglit
Vcs-Browser: http://cgit.freedesktop.org/piglit/

Package: piglit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Pre-Depends}, ${misc:Depends},
         python3-six, python3
Description: Open-source test suite for OpenGL and OpenCL implementations
 Piglit is an open-source test suite for OpenGL and OpenCL implementations.
