=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_DESTDIR := $(CURDIR)/debian/piglit
 
 %:
-	dh $@ --buildsystem cmake --with python2
+	dh $@ --parallel --buildsystem cmake --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -14,11 +14,13 @@
 		-DPIGLIT_BUILD_GLES1_TESTS=1 \
 		-DPIGLIT_BUILD_GLES2_TESTS=1 \
 		-DPIGLIT_BUILD_GLES3_TESTS=1 \
+		-DPIGLIT_BUILD_CL_TESTS=1 \
 		-DPIGLIT_USE_WAFFLE=1
 
 override_dh_auto_install:
 	dh_auto_install
-	python $(CURDIR)/debian/update-piglit-script.py $(DEB_DESTDIR)/usr/bin/piglit
+	find $(DEB_DESTDIR) -type d -name __pycache__ -exec rm -r {} +
+	python3 $(CURDIR)/debian/update-piglit-script.py $(DEB_DESTDIR)/usr/bin/piglit
 
 override_dh_makeshlibs:
 #       Fix lintian extra-license-file
