## piglit 0~git20180515

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 project (piglit)
 
-# Require MSVC 2013 U4
-if (MSVC AND CMAKE_C_COMPILER_VERSION VERSION_LESS 18.00.31101.0)
-	message (FATAL_ERROR "Visual Studio 2013 Update 4 or later required")
+# Require MinGW
+if (MSVC)
+	message (FATAL_ERROR "Windows builds require MinGW")
 endif ()
 
 find_package(Threads)
@@ -137,12 +137,13 @@
 		add_definitions(-DPIGLIT_HAS_GLX)
 	endif()
 
-	pkg_check_modules(GBM QUIET gbm)
+	pkg_check_modules(GBM QUIET gbm>=17.1)
 	if(GBM_FOUND)
 		set(PIGLIT_HAS_GBM True)
 		add_definitions(-DPIGLIT_HAS_GBM)
-		if (GBM_VERSION VERSION_EQUAL "12.1" OR GBM_VERSION VERSION_GREATER "12.1")
-			set(PIGLIT_HAS_GBM_BO_MAP True)
+		set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${GBM_LIBRARIES})
+		CHECK_FUNCTION_EXISTS(gbm_bo_map PIGLIT_HAS_GBM_BO_MAP)
+		if (PIGLIT_HAS_GBM_BO_MAP)
 			add_definitions(-DPIGLIT_HAS_GBM_BO_MAP)
 		endif()
 	endif(GBM_FOUND)
@@ -177,6 +178,13 @@
 ELSE()
 	option(PIGLIT_BUILD_GLX_TESTS "Build tests that require GLX" OFF)
 ENDIF()
+
+IF(PIGLIT_HAS_WGL)
+	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" ON)
+ELSE()
+	option(PIGLIT_BUILD_WGL_TESTS "Build tests that require WGL" OFF)
+ENDIF()
+
 
 # Choose to build tests that use dma_buf.
 #
@@ -329,11 +337,3 @@
 
 	# Avoid namespace pollution when including windows.h
 	# http://support.microsoft.com/kb/166474
-	add_definitions (-DWIN32_LEAN_AND_MEAN=1)
-
-	# Don't define min/max macros
-	add_definitions (-DNOMINMAX)
-
-	# Define M_PI and others
-	add_definitions (-D_USE_MATH_DEFINES)
-endif (WIN32)
