=== spec/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 add_subdirectory (amd_pinned_memory)
 add_subdirectory (arb_arrays_of_arrays)
 add_subdirectory (arb_base_instance)
+add_subdirectory (arb_bindless_texture)
 add_subdirectory (arb_buffer_storage)
 add_subdirectory (arb_clear_buffer_object)
 add_subdirectory (arb_clear_texture)
@@ -40,6 +41,8 @@
 add_subdirectory (arb_multisample)
 add_subdirectory (arb_occlusion_query)
 add_subdirectory (arb_occlusion_query2)
+add_subdirectory (arb_point_parameters)
+add_subdirectory (arb_point_sprite)
 add_subdirectory (arb_provoking_vertex)
 add_subdirectory (arb_robustness)
 add_subdirectory (arb_sample_shading)
@@ -60,10 +63,12 @@
 add_subdirectory (arb_sync)
 add_subdirectory (arb_uniform_buffer_object)
 add_subdirectory (ati_draw_buffers)
+add_subdirectory (arb_sparse_buffer)
 add_subdirectory (arb_tessellation_shader)
 add_subdirectory (arb_texture_buffer_object)
 add_subdirectory (arb_texture_buffer_range)
 add_subdirectory (arb_texture_compression)
+add_subdirectory (arb_texture_cube_map)
 add_subdirectory (arb_texture_cube_map_array)
 add_subdirectory (arb_texture_float)
 add_subdirectory (arb_texture_rectangle)
@@ -74,23 +79,35 @@
 add_subdirectory (arb_timer_query)
 add_subdirectory (arb_transform_feedback2)
 add_subdirectory (arb_transform_feedback3)
+add_subdirectory (arb_transform_feedback_overflow_query)
 add_subdirectory (arb_viewport_array)
 add_subdirectory (ati_envmap_bumpmap)
+add_subdirectory (ati_fragment_shader)
 add_subdirectory (ext_depth_bounds_test)
+add_subdirectory (ext_frag_depth)
 add_subdirectory (ext_fog_coord)
 add_subdirectory (ext_framebuffer_multisample)
 add_subdirectory (ext_framebuffer_multisample_blit_scaled)
+add_subdirectory (ext_framebuffer_object)
+add_subdirectory (ext_memory_object)
+add_subdirectory (ext_memory_object_fd)
 add_subdirectory (ext_packed_depth_stencil)
 add_subdirectory (ext_packed_float)
+add_subdirectory (ext_semaphore)
+add_subdirectory (ext_semaphore_fd)
 add_subdirectory (ext_shader_samples_identical)
+add_subdirectory (ext_texture_env_combine)
 add_subdirectory (ext_texture_swizzle)
 add_subdirectory (ext_timer_query)
 add_subdirectory (ext_transform_feedback)
 add_subdirectory (nv_conditional_render)
+add_subdirectory (nv_fill_rectangle)
 add_subdirectory (nv_image_formats)
 add_subdirectory (nv_texture_barrier)
+add_subdirectory (nv_texture_env_combine4)
 add_subdirectory (oes_compressed_etc1_rgb8_texture)
 add_subdirectory (oes_compressed_paletted_texture)
+add_subdirectory (oes_required_internalformat)
 add_subdirectory (oes_matrix_get)
 add_subdirectory (arb_draw_elements_base_vertex)
 add_subdirectory (arb_fragment_program)
@@ -117,6 +134,7 @@
 add_subdirectory (gl-3.1)
 add_subdirectory (gl-3.2)
 add_subdirectory (gl-3.3)
+add_subdirectory (gl-4.3)
 add_subdirectory (gl-4.4)
 add_subdirectory (gl-4.5)
 add_subdirectory (gles-2.0)
@@ -155,3 +173,9 @@
 add_subdirectory (arb_shader_texture_image_samples)
 add_subdirectory (arb_texture_barrier)
 add_subdirectory (intel_conservative_rasterization)
+add_subdirectory (arb_post_depth_coverage)
+add_subdirectory (arb_fragment_shader_interlock)
+add_subdirectory (ext_occlusion_query_boolean)
+add_subdirectory (ext_disjoint_timer_query)
+add_subdirectory (intel_blackhole_render)
+add_subdirectory (ext_texture_norm16)
