=== texturing/CMakeLists.txt ===
add_subdirectory (shaders)
piglit_include_target_api()
