=== spec/gl-2.0/CMakeLists.txt ===
add_subdirectory (api)
piglit_include_target_api()
