## piglit 0~git20180515-62ef6b0db

=== debian/changelog ===
piglit (0~git20180515-62ef6b0db-1) unstable; urgency=low

  * Update piglit upstream version to 62ef6b0db
  * Add dh-python build dependency for missing-build-dependency-for-dh-addon
    lintian error, closes: #896801
  * Update to debhelper 11
  * Update Standards-Version to 4.1.4
  * Remove unused lintian override binary-without-manpage
  * Remove unused lintian override space-in-std-shortname-in-dep5-copyright
  * Remove --parallel for debian-rules-uses-unnecessary-dh-argument
    lintian warning
  * Change Vcs-* to use https on salsa.debian.org for
    lintian vcs-field-uses-insecure-uri
  * Fix lintian insecure-copyright-format-uri

 -- Jordan Justen <jordan.l.justen@intel.com>  Wed, 16 May 2018 02:50:49 -0700

piglit (0~git20170210-508210dc1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Dependency fixes:
    - remove ${misc:Pre-Depends} from Depends
    - add ${python3:Depends} instead of manual python3
    - add python3-mako (Closes: #830145)
  * Workaround gcc-7 memory usage regression by building
    with -O1 on i386.

 -- Adrian Bunk <bunk@debian.org>  Sat, 14 Oct 2017 18:26:57 +0300
