=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,24 @@
 DEB_DESTDIR := $(CURDIR)/debian/piglit
 
 %:
-	dh $@ --parallel --buildsystem cmake --with python3
+	dh $@ --buildsystem cmake --with python3
+
+# workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=82364
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+export DEB_CFLAGS_MAINT_APPEND=-O1 -DNDEBUG
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DPIGLIT_BUILD_GLES1_TESTS=1 \
+		-DPIGLIT_BUILD_GLES2_TESTS=1 \
+		-DPIGLIT_BUILD_GLES3_TESTS=1 \
+		-DPIGLIT_BUILD_CL_TESTS=1 \
+		-DPIGLIT_USE_WAFFLE=1
+
+else
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -17,6 +34,8 @@
 		-DPIGLIT_BUILD_CL_TESTS=1 \
 		-DPIGLIT_USE_WAFFLE=1
 
+endif
+
 override_dh_auto_install:
 	dh_auto_install
 	find $(DEB_DESTDIR) -type d -name __pycache__ -exec rm -r {} +
